Package ghidra.program.model.data

# Enum Class PointerType

java.lang.Object
java.lang.Enum<PointerType>
ghidra.program.model.data.PointerType

All Implemented Interfaces:
  `Serializable`, `Comparable<PointerType>`, `Constable`

public enum PointerType extends Enum<PointerType>
`PointerType` specified the pointer-type associated with a pointer-typedef.

See Also:
  - `PointerTypeSettingsDefinition`
  - `PointerTypedefBuilder`
  - `PointerTypedefInspector`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  Normal absolute pointer offset
  `FILE_OFFSET`
  Pointer offset corresponds to file offset within an associated file.
  `IMAGE_BASE_RELATIVE`
  Pointer offset relative to program image base.
  `RELATIVE`
  Pointer offset relative to pointer storage address.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PointerType`
  `valueOf(int val)`
  Get the type associated with the specified value.
  `static PointerType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PointerType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final PointerType DEFAULT
    Normal absolute pointer offset

  - ### IMAGE_BASE_RELATIVE

    public static final PointerType IMAGE_BASE_RELATIVE
    Pointer offset relative to program image base.

  - ### RELATIVE

    public static final PointerType RELATIVE
    Pointer offset relative to pointer storage address. NOTE: This type has limited usefulness since it can only be applied to a pointer stored in memory based upon its storage location. Type-propogation should be avoided on the resulting pointer typedef.

  - ### FILE_OFFSET

    public static final PointerType FILE_OFFSET
    Pointer offset corresponds to file offset within an associated file.

- ## Method Details

  - ### values

    public static PointerType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PointerType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### valueOf

    public static PointerType valueOf(int val) throws NoSuchElementException
    Get the type associated with the specified value.
    Parameters:
      `val` - type value
    Returns:
      type
    Throws:
      `NoSuchElementException` - if invalid value specified